#include<bits/stdc++.h>
using namespace std;

long long n;

int main (){


cin>>n;
if(n>3){
    if(n%2==1){
        cout<<"7";
        n=n-3;
    }
    ios::sync_with_stdio(false);
    cout.tie(NULL);
    for(int i=0;i<n/2;i++){
        cout<<"1";
    }
}else{
    if(n==0){
        cout<<-1<<endl;
    }
    if(n==1){
        cout<<-1<<endl;
    }
    if(n==2){
        cout<<1<<endl;
    }
    if(n==3){
        cout<<7<<endl;
    }
}

return 0;

}
